{-# LANGUAGE OverloadedStrings #-}

import Criterion.Main

import Control.DeepSeq
import qualified Language.C as C
import qualified Language.C.System.GCC as C
import ReduceC

import qualified Control.Monad.IRTree as IRTree
import Data.Either

main :: IO ()
main = do
  defaultMain
    [ env (fromRight (error "not there") <$> C.parseCFile (C.newGCC "clang") Nothing [] "test/cases/large/clang-26760.c") $ \c ->
        let r = defaultReduceC c
         in bgroup
              "clang-26760"
              [ bench "extract" $ nf IRTree.extract r
              , bench "probe 11" $ nf (\r -> let (i, _, _) = IRTree.probe r "11" in i) r
              , bench "reduce true" $
                  nfAppIO
                    (IRTree.reduceAdaptive (\_ i -> i `deepseq` pure True))
                    r
              ]
    ]
