typedef unsigned int size_t;
typedef signed char int8_t;
typedef short int int16_t;
typedef int int32_t;
typedef long long int int64_t;
typedef unsigned char uint8_t;
typedef unsigned short int uint16_t;
typedef unsigned int uint32_t;
typedef unsigned long long int uint64_t;
static uint16_t safe_div_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 / ui2;
}
static uint16_t safe_lshift_func_uint16_t_u_s(uint16_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 || left > 65535 >> (int) right ? left : left << (int) right;
}
static uint16_t safe_lshift_func_uint16_t_u_u(uint16_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 || left > 65535 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static uint16_t safe_rshift_func_uint16_t_u_s(uint16_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static uint16_t safe_rshift_func_uint16_t_u_u(uint16_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static uint32_t safe_unary_minus_func_uint32_t_u(uint32_t ui)
{
    return -ui;
}
static uint32_t safe_add_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui1 + ui2;
}
static uint32_t safe_sub_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui1 - ui2;
}
static uint32_t safe_mul_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return (unsigned int) ui1 * (unsigned int) ui2;
}
static uint32_t safe_mod_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 % ui2;
}
static uint32_t safe_div_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 / ui2;
}
static uint32_t safe_lshift_func_uint32_t_u_s(uint32_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 || left > 4294967295u >> (int) right ? left : left << (int) right;
}
static uint32_t safe_lshift_func_uint32_t_u_u(uint32_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 || left > 4294967295u >> (unsigned int) right ? left : left << (unsigned int) right;
}
static uint32_t safe_rshift_func_uint32_t_u_s(uint32_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static uint32_t safe_rshift_func_uint32_t_u_u(uint32_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static uint64_t safe_unary_minus_func_uint64_t_u(uint64_t ui)
{
    return -ui;
}
static uint64_t safe_add_func_uint64_t_u_u(uint64_t ui1,
                                           uint64_t ui2)
{
    return ui1 + ui2;
}
static uint64_t safe_sub_func_uint64_t_u_u(uint64_t ui1,
                                           uint64_t ui2)
{
    return ui1 - ui2;
}
static uint64_t safe_mul_func_uint64_t_u_u(uint64_t ui1,
                                           uint64_t ui2)
{
    return (unsigned long long) ui1 * (unsigned long long) ui2;
}
static uint64_t safe_mod_func_uint64_t_u_u(uint64_t ui1,
                                           uint64_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 % ui2;
}
static uint64_t safe_div_func_uint64_t_u_u(uint64_t ui1,
                                           uint64_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 / ui2;
}
static uint64_t safe_lshift_func_uint64_t_u_s(uint64_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 || left > 18446744073709551615uL >> (int) right ? left : left << (int) right;
}
static uint64_t safe_lshift_func_uint64_t_u_u(uint64_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 || left > 18446744073709551615uL >> (unsigned int) right ? left : left << (unsigned int) right;
}
static uint64_t safe_rshift_func_uint64_t_u_s(uint64_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static uint64_t safe_rshift_func_uint64_t_u_u(uint64_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static float safe_add_func_float_f_f(float sf1, float sf2)
{
    return 0.5f * sf1 + 0.5f * sf2 > 0.5f * 3.40282347e+38F ? sf1 : sf1 + sf2;
}
static float safe_sub_func_float_f_f(float sf1, float sf2)
{
    return 0.5f * sf1 - 0.5f * sf2 > 0.5f * 3.40282347e+38F ? sf1 : sf1 - sf2;
}
static float safe_mul_func_float_f_f(float sf1, float sf2)
{
    return 0x1.0p-100f * sf1 * (0x1.0p-28f * sf2) > 0x1.0p-100f * (0x1.0p-28f * 3.40282347e+38F) ? sf1 : sf1 * sf2;
}
static float safe_div_func_float_f_f(float sf1, float sf2)
{
    return sf2 < 1.0f && (sf2 == 0.0f || 0x1.0p-49f * sf1 / (0x1.0p100f * sf2) > 0x1.0p-100f * (0x1.0p-49f * 3.40282347e+38F)) ? sf1 : sf1 / sf2;
}
static double safe_add_func_double_f_f(double sf1, double sf2)
{
    return 0.5 * sf1 + 0.5 * sf2 > 0.5 * 1.7976931348623157e+308 ? sf1 : sf1 + sf2;
}
static double safe_sub_func_double_f_f(double sf1, double sf2)
{
    return 0.5 * sf1 - 0.5 * sf2 > 0.5 * 1.7976931348623157e+308 ? sf1 : sf1 - sf2;
}
static double safe_mul_func_double_f_f(double sf1, double sf2)
{
    return 0x1.0p-100 * sf1 * (0x1.0p-924 * sf2) > 0x1.0p-100 * (0x1.0p-924 * 1.7976931348623157e+308) ? sf1 : sf1 * sf2;
}
static double safe_div_func_double_f_f(double sf1, double sf2)
{
    return sf2 < 1.0 && (sf2 == 0.0 || 0x1.0p-974 * sf1 / (0x1.0p100 * sf2) > 0x1.0p-100 * (0x1.0p-974 * 1.7976931348623157e+308)) ? sf1 : sf1 / sf2;
}
static int32_t safe_convert_func_float_to_int32_t(float sf1)
{
    return sf1 <= -2147483647 - 1 || sf1 >= 2147483647 ? 2147483647 : (int32_t) sf1;
}
static uint32_t crc32_tab[256];
static uint32_t crc32_context = 0xffffffffuL;
static void crc32_gentab()
{
    uint32_t crc;
    const uint32_t poly = 0xedb88320uL;
    int i, j;
    for (i = 0; i < 256; i++)
    {
        crc = i;
        for (j = 8; j > 0; j--)
        {
            if (crc & 1)
            {
                crc = crc >> 1 ^ poly;
            }
            else
            {
                crc >>= 1;
            }
        }
        crc32_tab[i] = crc;
    }
}
static void crc32_byte(uint8_t b)
{
    crc32_context = crc32_context >> 8 & 0xffffff ^ crc32_tab[(crc32_context ^ b) & 0xff];
}
static void crc32_8bytes(uint64_t val)
{
    crc32_byte(val >> 0 & 0xff);
    crc32_byte(val >> 8 & 0xff);
    crc32_byte(val >> 16 & 0xff);
    crc32_byte(val >> 24 & 0xff);
    crc32_byte(val >> 32 & 0xff);
    crc32_byte(val >> 40 & 0xff);
    crc32_byte(val >> 48 & 0xff);
    crc32_byte(val >> 56 & 0xff);
}
static void transparent_crc(uint64_t val, char * vname, int flag)
{
    crc32_8bytes(val);
    if (flag)
    {
        ("...checksum after hashing %s : %lX\n", vname, crc32_context ^ 0xffffffffuL);
    }
}
static void transparent_crc_bytes(char * ptr,
                                  int nbytes,
                                  char * vname,
                                  int flag)
{
    int i;
    for (i = 0; i < nbytes; i++)
    {
        crc32_byte(ptr[i]);
    }
    if (flag)
    {
        ("...checksum after hashing %s : %lX\n", vname, crc32_context ^ 0xffffffffuL);
    }
}
static long __undefined;
struct S0 {
    signed f0 : 1; int64_t f1; signed f2 : 20; unsigned f3 : 8;
};
static int32_t g_2 = 1L;
static struct S0 g_35 = { -0, -1L, 631, 9 };
static uint16_t g_40 = 65534uL;
static int32_t g_85 = 0x89ab98cfL;
static uint8_t g_86 = 2uL;
static int64_t g_131 = 1L;
static int16_t g_153 = 0L;
static uint32_t g_154 = 3uL;
static int16_t g_158 = 0L;
static uint32_t g_159 = 0x5cc1ffd3L;
static uint32_t g_203 = 0xbd2ee514L;
static int16_t g_250 = 0x8c40L;
static uint32_t g_251 = 0xb89a725eL;
static uint8_t g_312 = 1uL;
static int32_t g_316 = 0x123013cdL;
static uint32_t g_355 = 9uL;
static int32_t g_356 = -1L;
static struct S0 g_388 = { 0, 6L, -661, 1 };
static int32_t g_390 = -1L;
static uint8_t g_391 = 255uL;
static uint16_t g_420[4][10] = { { 65535uL, 0x88f0L, 65535uL, 65532uL, 0x88f0L, 7uL, 7uL, 0x88f0L, 65532uL, 65535uL }, { 0uL, 0uL, 0x54a8L, 0x88f0L, 0x8ac6L, 0x54a8L, 0x8ac6L, 0x88f0L, 0x54a8L, 0uL }, { 0x8ac6L, 7uL, 65535uL, 0x8ac6L, 65532uL, 65532uL, 0x8ac6L, 65535uL, 7uL, 0x8ac6L }, { 65535uL, 0uL, 7uL, 65532uL, 0uL, 65532uL, 7uL, 0uL, 65535uL, 65535uL } };
static int32_t g_421[5][10][5] = { { { -1L, 0x9cc7936fL, 0x733e4b69L, -10L, 3L }, { 0x6f17c7b4L, 0x504e397cL, 0xfaf5c5a5L, 0x7c3e73e6L, -1L }, { 9L, 0x276b277bL, -1L, 6L, 6L }, { -8L, 0xa1e38021L, -8L, 0x94c3bd62L, 0xa7408f1fL }, { 0x8ac3a7dbL, 0xd1f34a63L, 0x5469b73L, 0x41e353bdL, 0x2626dbabL }, { 0x6f17c7b4L, 0L, -3L, 1L, 0xc693e4d5L }, { -1L, 0x468dfb35L, 0x5469b73L, 0x2626dbabL, 3L }, { 0xd2a2360eL, -9L, -8L, 0x962c5fe5L, 0x6f17c7b4L }, { 0x44593456L, 0x9cc7936fL, -1L, 0xadf75ad1L, 0xd7fdc368L }, { 0xc7dfe44cL, 0x889a9044L, 0xfaf5c5a5L, -1L, 0x504e397cL } }, { { 0xd1f34a63L, 0x7d366db7L, 0xfa444388L, 0x468dfb35L, 0x4a120eaaL }, { 0x7c3e73e6L, 0x40dd39b6L, 0xd06cbe39L, 0x73bcdcaeL, 0x92d6179aL }, { 3L, 0L, 0xadf75ad1L, 0L, 0x8ac3a7dbL }, { 0x889a9044L, 7L, 0x2dc81d43L, 0xb3515830L, 0xfaf5c5a5L }, { 0xfa444388L, 0x5469b73L, 1L, -5L, 1L }, { 0x34421670L, 0x34421670L, -1L, -1L, 0x73bcdcaeL }, { 0xb2f5332aL, 0x2626dbabL, 0x7e2228e0L, 0x28b7bcceL, 0x276b277bL }, { 0xde5c95e5L, 0L, -4L, 0xa3ea5012L, 0xda0ab8efL }, { 0xd5dd3e96L, 0x2626dbabL, 9L, 0x13025689L, 1L }, { 0L, 0x34421670L, 0x57f46e1eL, 0x40dd39b6L, 0xc7dfe44cL } }, { { 0x28b7bcceL, 0x5469b73L, 1L, 1L, 0x7d366db7L }, { -1L, 7L, 0x962c5fe5L, 0L, 0xdfefce86L }, { 0xb56072fL, 0L, 0x733e4b69L, 0xd7fdc368L, 0L }, { -1L, 0x40dd39b6L, -1L, 0xfaf5c5a5L, 0xd2a2360eL }, { 0xcd05dc4eL, 0x7d366db7L, 1L, 0x4772fbbaL, 0xbb4b3d1cL }, { 0xda0ab8efL, 0x889a9044L, 0xa3ea5012L, 0x6f17c7b4L, -1L }, { -1L, 0x9cc7936fL, 0xb2f5332aL, 0xb2f5332aL, 0x9cc7936fL }, { 0xc693e4d5L, -9L, 0x504e397cL, 0xd06cbe39L, 0xa3ea5012L }, { 1L, 0x468dfb35L, 9L, -7L, 0x2871c56aL }, { 0xd06cbe39L, 0L, 0xeb725935L, -1L, 1L } }, { { 1L, 0xd1f34a63L, -1L, 1L, 0x13025689L }, { 0xc693e4d5L, 0xa1e38021L, 1L, -1L, 0x5d2bdd0bL }, { -1L, 0x276b277bL, 0x2871c56aL, -1L, 6L }, { 0xda0ab8efL, 0x504e397cL, 0x5d2bdd0bL, 7L, 0L }, { 0xcd05dc4eL, -1L, 0xbb4b3d1cL, 3L, 0L }, { -1L, -1L, 8L, 0x3e7f1e87L, 0x962c5fe5L }, { 0xb56072fL, 0x28b7bcceL, 0L, 0x2871c56aL, -1L }, { -1L, 0x552e894L, -1L, 0x5cf14d71L, -8L }, { 0x28b7bcceL, -1L, 8L, -1L, 0x28b7bcceL }, { 0L, -8L, 0xa7408f1fL, 0L, 1L } }, { { -1L, 0x2871c56aL, 0L, 0x28b7bcceL, 0xb56072fL }, { 1L, 1L, -1L, 0xb7c597ceL, 1L }, { 6L, 0x28b7bcceL, 0xd1f34a63L, 0x9cc7936fL, 3L }, { 1L, 0x45cbe6d6L, -3L, 0x3e7f1e87L, 0xb7c597ceL }, { 0xbc0fe9d4L, 1L, 0x4772fbbaL, 1L, 3L }, { 0x40dd39b6L, 0xc693e4d5L, 0x552e894L, 0x6f17c7b4L, 0L }, { 0xcd05dc4eL, -5L, 0x5469b73L, -1L, 0x7e2228e0L }, { 0L, 0x552e894L, 1L, 1L, 0xfaf5c5a5L }, { 0xbb4b3d1cL, 0x276b277bL, 9L, 1L, 0L }, { 0x3e7f1e87L, 0L, 0x962c5fe5L, -1L, 0xd2a2360eL } } };
static uint64_t g_506 = 0uL;
static uint64_t g_559[8] = { 4uL, 4uL, 4uL, 4uL, 4uL, 4uL, 4uL, 4uL };
static int16_t g_594 = 1L;
static uint16_t g_750[1][6][1] = { { { 0xe455L }, { 0xe455L }, { 0xe455L }, { 0xe455L }, { 0xe455L }, { 0xe455L } } };
static uint64_t g_754[6][10] = { { 0x91ff780ddfefe0baLL, 0x91ff780ddfefe0baLL, 0xb71ef27d511e6b97LL, 0x79ab76c8654775d1LL, 0xf443b1863dba0e6aLL, 18446744073709551608uL, 0x91ff780ddfefe0baLL, 0xf443b1863dba0e6aLL, 0uL, 0xf443b1863dba0e6aLL }, { 0x91ff780ddfefe0baLL, 0x5376858ca911c115LL, 0x7f1eb7a26dc46069LL, 0x79ab76c8654775d1LL, 0x7f1eb7a26dc46069LL, 0x5376858ca911c115LL, 0x91ff780ddfefe0baLL, 0x7f1eb7a26dc46069LL, 18446744073709551615uL, 0xf443b1863dba0e6aLL }, { 0x5376858ca911c115LL, 0x91ff780ddfefe0baLL, 0x7f1eb7a26dc46069LL, 18446744073709551615uL, 0xf443b1863dba0e6aLL, 0x5376858ca911c115LL, 0x5376858ca911c115LL, 0xf443b1863dba0e6aLL, 18446744073709551615uL, 0x7f1eb7a26dc46069LL }, { 0x91ff780ddfefe0baLL, 0x91ff780ddfefe0baLL, 0xb71ef27d511e6b97LL, 0x79ab76c8654775d1LL, 0xf443b1863dba0e6aLL, 18446744073709551608uL, 0x91ff780ddfefe0baLL, 0xf443b1863dba0e6aLL, 0uL, 0xf443b1863dba0e6aLL }, { 0x91ff780ddfefe0baLL, 0x5376858ca911c115LL, 0x7f1eb7a26dc46069LL, 0x79ab76c8654775d1LL, 0x7f1eb7a26dc46069LL, 0x5376858ca911c115LL, 0x91ff780ddfefe0baLL, 0x7f1eb7a26dc46069LL, 18446744073709551615uL, 0xf443b1863dba0e6aLL }, { 0x5376858ca911c115LL, 0x91ff780ddfefe0baLL, 0x7f1eb7a26dc46069LL, 18446744073709551615uL, 0xf443b1863dba0e6aLL, 0x5376858ca911c115LL, 0x5376858ca911c115LL, 0xf443b1863dba0e6aLL, 18446744073709551615uL, 0x7f1eb7a26dc46069LL } };
static int32_t g_755[8] = { 0x7375c0fdL, 0x7375c0fdL, 0x5f05b9d7L, 0x7375c0fdL, 0x7375c0fdL, 0x5f05b9d7L, 0x7375c0fdL, 0x7375c0fdL };
static int32_t g_1021[5] = { 1L, 1L, 1L, 1L, 1L };
static int32_t g_1031 = 1L;
static uint32_t g_1032[9] = { 18446744073709551615uL, 18446744073709551606uL, 18446744073709551615uL, 18446744073709551606uL, 18446744073709551615uL, 18446744073709551606uL, 18446744073709551615uL, 18446744073709551606uL, 18446744073709551615uL };
static int32_t g_1103 = 0x44377efeL;
static int8_t g_1109 = -10L;
static struct S0 g_1145[8] = { { -0, -1L, 887, 10 }, { -0, -1L, 887, 10 }, { -0, -1L, 887, 10 }, { -0, -1L, 887, 10 }, { -0, -1L, 887, 10 }, { -0, -1L, 887, 10 }, { -0, -1L, 887, 10 }, { -0, -1L, 887, 10 } };
static int64_t g_1238 = 0xef73cdc07db9fd50LL;
static uint64_t g_1241 = 1uL;
static uint32_t g_1304 = 0uL;
static uint32_t g_1732[2][7] = { { 4294967287uL, 4294967287uL, 4294967287uL, 4294967287uL, 4294967287uL, 4294967287uL, 4294967287uL }, { 0xa22dcd37L, 0uL, 0xa22dcd37L, 0uL, 0xa22dcd37L, 0uL, 0xa22dcd37L } };
static uint64_t g_1756[1][1][10] = { { { 1uL, 2uL, 1uL, 1uL, 2uL, 1uL, 1uL, 2uL, 1uL, 1uL } } };
static uint32_t g_1935 = 3uL;
static int64_t g_1985 = 0x4e20e02fb14d3adfLL;
static uint32_t g_2138 = 0xe3d39b8fL;
static uint8_t g_2239 = 0x2bL;
static uint32_t g_2299 = 0x533c3544L;
static int32_t g_2300 = -1L;
static int32_t g_2342 = 0x91c31f8bL;
static int64_t func_1();
static int32_t func_6(uint32_t p_7,
                      uint32_t p_8,
                      int64_t p_9,
                      int8_t p_10,
                      int32_t p_11);
static uint8_t func_12(uint32_t p_13,
                       int16_t p_14,
                       struct S0 p_15,
                       struct S0 p_16,
                       int8_t p_17);
static uint8_t func_22(uint32_t p_23);
static uint8_t func_41(int32_t p_42,
                       uint8_t p_43,
                       int32_t p_44,
                       int64_t p_45,
                       uint32_t p_46);
static uint16_t func_51(int16_t p_52,
                        uint16_t p_53,
                        uint64_t p_54,
                        int32_t p_55);
static struct S0 func_59(uint32_t p_60,
                         int16_t p_61,
                         uint64_t p_62,
                         uint8_t p_63,
                         struct S0 p_64);
static int32_t func_66(uint16_t p_67, struct S0 p_68);
static int32_t func_71(uint8_t p_72, uint32_t p_73, uint32_t p_74);
static uint8_t func_78(uint32_t p_79);
static int64_t func_1()
{
    uint32_t l_5 = 0x6da5043cL;
    struct S0 l_34 = { 0, 0x5c82f744ed25e425LL, -208, 14 };
    int32_t l_2303[5];
    int8_t l_2308 = 3L;
    uint16_t l_2311 = 65527uL;
    uint16_t l_2345[4] = { 0xedbeL, 0xedbeL, 0xedbeL, 0xedbeL };
    uint32_t l_2354 = 0x7fa494a4L;
    int32_t l_2357 = 0x75fe5bb8L;
    uint16_t l_2358 = 0uL;
    int i;
    for (i = 0; i < 5; i++)
        l_2303[i] = -1L;
    for (g_2 = 22; g_2 <= -3; g_2 = (g_2, 2))
    {
        uint32_t l_30 = 0uL;
        uint8_t l_33 = 255uL;
        int32_t l_2301 = 0x444d8480L;
        int32_t l_2302 = -2L;
        int32_t l_2304 = 0x33ea3733L;
        int32_t l_2305 = 0x25c00ca3L;
        int32_t l_2306 = 0L;
        int32_t l_2307 = 7L;
        int32_t l_2309 = 3L;
        int32_t l_2310[1];
        int16_t l_2343 = -1L;
        uint32_t l_2344 = 1uL;
        int i;
        {
            uint32_t l_30 = 0uL;
            uint8_t l_33 = 255uL;
            int32_t l_2301 = 0x444d8480L;
            int32_t l_2302 = -2L;
            int32_t l_2304 = 0x33ea3733L;
            int32_t l_2305 = 0x25c00ca3L;
            int32_t l_2306 = 0L;
            int32_t l_2307 = 7L;
            int32_t l_2309 = 3L;
            int32_t l_2310[1];
            int16_t l_2343 = -1L;
            uint32_t l_2344 = 1uL;
            int i;
            for (i = 0; i < 1; i++)
                l_2310[i] = 0xf3d959faL;
            l_5 = g_2;
            g_2300 |= func_6((18446744073709551615uL != 0x315362daab72b21aLL) > func_12(g_2 == safe_rshift_func_uint16_t_u_u((0x4ccfd66c4a87fce6LL, g_2 && func_22((safe_add_func_uint64_t_u_u(0uL && (l_30, (4294967290uL != (l_33 ^ g_2) > l_30, g_2)) & 65534uL,
                                                                                                                                                                                               0x2ad015b01d976d99LL), g_2))),
                                                                                                                             l_5),
                                                                                        l_5,
                                                                                        l_34,
                                                                                        g_35,
                                                                                        l_34.f0),
                             l_30,
                             l_33,
                             g_2,
                             l_33);
            l_2311++;
            l_2304 = g_35.f0 = ((0xb378L <= ((g_506, ((g_2299-- != (g_1756[0][0][6] = safe_add_func_uint32_t_u_u(g_1732[0][1]--,
                                                                                                                 l_2305 && (((((g_391 |= ((l_2306 &= l_2308) <= (safe_mod_func_uint32_t_u_u(l_33,
                                                                                                                                                                                            l_34.f1), (l_2305 > g_755[7] | (g_35.f2 = (g_388.f0 = (g_35.f3, l_2310[0]) < g_2) >= g_2342), 0x30870b0L) >= g_754[2][1] > g_755[0] & l_2302 && l_34.f0), 7), g_1145[0].f0), l_2343) && g_131, 4) | 0uL, l_2344), 1uL))) < l_2345[1], g_2138), 0uL)), g_1103) && g_250) != g_131) >= l_34.f3;
        }
        safe_mod_func_uint64_t_u_u(0x720fL == 0x14d4L,
                                   0x1e7b790c5a96d6b6LL);
        func_78(++g_86);
        if (g_158)
        {
            g_506 &= 0x387e3cdf10492640LL;
        }
        (-4L, 5);
        {
            g_85 ^= 0x5d1f78ddL;
        }
        g_1103 += 1;
        g_131 -= 1;
        (-4L, 5);
        safe_add_func_uint64_t_u_u(safe_lshift_func_uint16_t_u_u(0x6d2bL,
                                                                 12),
                                   g_1032[4]);
        (g_203, 0);
        (((g_35.f1, 3) & g_356, 8L) ^ 4294967295uL) <= g_159 != g_312;
        safe_mod_func_uint32_t_u_u(g_388.f0, 0xd95d3b69L);
        safe_lshift_func_uint16_t_u_u(0x6d2bL, 12);
    }
    g_356 |= (0xbeL, 253uL) >= (g_35, ((0x1bf0108eL ^ ((l_5 | (((l_2303[2] = g_2138, (g_131 &= 7L, (0x5b5f2838L, 5uL) <= g_1935)), 0xb2cL) == g_251, g_559[3])) == 0x870bf6b6L, 65527uL)) != g_1238, l_5) == g_559[6]);
    l_2354--;
    ++l_2358;
    return g_1756[0][0][6];
}
static int32_t func_6(uint32_t p_7,
                      uint32_t p_8,
                      int64_t p_9,
                      int8_t p_10,
                      int32_t p_11)
{
    return p_8;
}
static uint8_t func_12(uint32_t p_13,
                       int16_t p_14,
                       struct S0 p_15,
                       struct S0 p_16,
                       int8_t p_17)
{
    uint16_t l_47[9][1];
    int32_t l_48 = 0x693ce85dL;
    int32_t l_58 = 1L;
    struct S0 l_65 = { -0, 0x398c3d34e0bb6923LL, 83, 9 };
    int32_t l_2073 = 1L;
    int32_t l_2076 = 0xf76a42b0L;
    int32_t l_2077 = 0x8d8b355dL;
    int32_t l_2078 = 1L;
    int32_t l_2080[3][2][9];
    int32_t l_2166 = 0x1b7f9cf5L;
    int8_t l_2167 = 1L;
    uint16_t l_2242[1];
    int32_t l_2280 = 0xa36c0f69L;
    struct S0 l_2282[6] = { { 0, -1L, 256, 10 }, { 0, -1L, 256, 10 }, { 0, -1L, 256, 10 }, { 0, -1L, 256, 10 }, { 0, -1L, 256, 10 }, { 0, -1L, 256, 10 } };
    uint32_t l_2298 = 0xb81f1c22L;
    int i, j, k;
    (-1L, 1);
    safe_rshift_func_uint16_t_u_s(p_13 >= p_16.f1, 3);
    (((g_40 = p_16.f2, 0), func_41(p_16.f1,
                                   l_47[0][0] = g_2,
                                   func_22(g_35.f3),
                                   l_48,
                                   (func_51(((l_58, 3), 1L),
                                            (func_22((g_1103 |= (func_59(p_15.f3 ^= 0x43772679L,
                                                                         p_16.f3,
                                                                         p_15.f2,
                                                                         g_35.f2,
                                                                         l_65), p_15.f2)) || g_1021[4]), g_1021[3]),
                                            l_65.f1,
                                            g_1021[3]) && 0L, g_1021[3]) && 0x72b8796b4b0cddffLL)), 3);
    safe_mod_func_uint32_t_u_u(g_388.f0, 0xd95d3b69L);
    ("index = [%d]\n", i);
    g_85 ^= 0x5d1f78ddL;
    0L < (g_35.f3, 0x16abL);
    g_35.f0 |= 0xaf702fe3L;
    g_251 += 1;
    g_40 += 1;
    {
        int i, j, k;
        return l_2080[g_316 + 1][g_316 + 1][g_316 + 5];
    }
    func_78(++g_86);
    {
        for (j = 0; j < 2; j++)
        {
            for (k = 0; k < 9; k++)
                l_2080[i][j][k] = 0L;
        }
    }
    (0L > g_391, -9L);
    ("index = [%d][%d][%d]\n", i, j, k);
    (func_78(++g_86), g_85);
    g_506 &= 0x387e3cdf10492640LL;
    g_159 += 1;
    for (i = 0; i < 3; i++)
    {
        g_131 &= 7L;
    }
    ;
    (-4L, 5);
    1L;
    (1uL, 0x5e27L);
    g_40 += 1;
    (g_131 &= 7L, (0x5b5f2838L, 5uL) <= g_1935);
    g_251 += 1;
    (g_154, g_35.f3);
    safe_lshift_func_uint16_t_u_s(65535uL, 9);
    (func_51(((l_58, 3), 1L),
             (func_22((g_1103 |= (func_59(p_15.f3 ^= 0x43772679L,
                                          p_16.f3,
                                          p_15.f2,
                                          g_35.f2,
                                          l_65), p_15.f2)) || g_1021[4]), g_1021[3]),
             l_65.f1,
             g_1021[3]) && 0L, g_1021[3]);
    g_388.f1 -= 1;
    {
        g_35.f0 |= 0xaf702fe3L;
        g_159 += 1;
        g_35.f1 |= (safe_sub_func_uint32_t_u_u(safe_mod_func_uint64_t_u_u(g_312 == (252uL ^ g_251, 0x54eab2ce98b21cf8LL),
                                                                          p_13),
                                               0uL) && l_58, p_15.f3) <= -10L;
        g_159 += 1;
        g_1109 ^= 0xface4f9578fc59a3LL <= 0x61490d3a8ca6555aLL;
    }
    (g_1021[g_388.f1 + 4], 0x8L);
    safe_add_func_uint64_t_u_u((0xf01a30e9L != (0x3fe1L & g_250), g_316) || p_16.f0 || 8L,
                               0xc0e07cacadac72b0LL);
    (8L, 0x9ed3L);
    (g_153, 0x1fL);
    {
        for (g_159 = 0; g_159 <= 3; g_159 += 1)
        {
            return g_754[4][9];
        }
    }
    safe_lshift_func_uint16_t_u_s(65535uL, 9);
    (0xaeL, g_203);
    safe_sub_func_uint32_t_u_u((g_755[7], g_1109), 1uL);
    g_35.f1 |= (safe_sub_func_uint32_t_u_u(safe_mod_func_uint64_t_u_u(g_312 == (252uL ^ g_251, 0x54eab2ce98b21cf8LL),
                                                                      p_13),
                                           0uL) && l_58, p_15.f3) <= -10L;
    (p_13, -1L & 1uL);
    func_1();
    g_1109 ^= -1L;
    (g_131 &= 7L, (0x5b5f2838L, 5uL) <= g_1935);
    (g_1021[g_388.f1 + 4], 0x8L);
    1L;
    g_1109 ^= -1L;
    for (i = 0; i < 1; i++)
    {
    }
    safe_mod_func_uint64_t_u_u(0x720fL == 0x14d4L,
                               0x1e7b790c5a96d6b6LL);
    {
        uint16_t l_2247 = 2uL;
        int32_t l_2248 = 0x7ce1456L;
        uint64_t l_2249 = 0xa3f082de2c18da24LL;
        int64_t l_2277[3];
        int32_t l_2278 = 0xee781271L;
        int32_t l_2279[5][10][3] = { { { 0xcfd4230dL, 0x5b6938f0L, 0x398ad982L }, { 8L, 0xceb0288aL, 0x40cb8e38L }, { -8L, -1L, 0x8a5bd52L }, { 0x695d4b9fL, 0x71775154L, 0x695d4b9fL }, { 0x8a5bd52L, -1L, -8L }, { 0x40cb8e38L, 0xceb0288aL, 8L }, { 0x398ad982L, 0x5b6938f0L, 0xcfd4230dL }, { 0L, 0L, 1L }, { 0x398ad982L, 0x8a5bd52L, 0x5b6938f0L }, { 0x40cb8e38L, 1L, 0L } }, { { 0x8a5bd52L, 0xa008a039L, 0xa008a039L }, { 0x695d4b9fL, 0x40cb8e38L, 0L }, { -8L, 0L, 0x5b6938f0L }, { 8L, -1L, 1L }, { 0xcfd4230dL, 0L, 0xcfd4230dL }, { 1L, -1L, 8L }, { 0x5b6938f0L, 0L, -8L }, { 0L, 0x40cb8e38L, 0x695d4b9fL }, { 0xa008a039L, 0xa008a039L, 0x8a5bd52L }, { 0L, 1L, 0x40cb8e38L } }, { { 0x5b6938f0L, 0x8a5bd52L, 0x398ad982L }, { 1L, 0L, 0L }, { 0xcfd4230dL, 0x5b6938f0L, 0x398ad982L }, { 8L, 0xceb0288aL, 0x40cb8e38L }, { -8L, -1L, 0x8a5bd52L }, { 0x695d4b9fL, 0x71775154L, 0x695d4b9fL }, { 0x8a5bd52L, -1L, -8L }, { 0x40cb8e38L, 0xceb0288aL, 8L }, { 0x398ad982L, 0x5b6938f0L, 0xcfd4230dL }, { 0L, 0L, 1L } }, { { 0x398ad982L, 0x8a5bd52L, 0x5b6938f0L }, { 0x40cb8e38L, 1L, 0L }, { 0x8a5bd52L, 0xa008a039L, 0xa008a039L }, { 0x695d4b9fL, 0x40cb8e38L, 0L }, { -8L, 0L, 0x5b6938f0L }, { 8L, -1L, 1L }, { 0xcfd4230dL, 0L, 0xcfd4230dL }, { 1L, -1L, 8L }, { 0x5b6938f0L, 0L, -8L }, { 0L, 0x40cb8e38L, 0x695d4b9fL } }, { { 0xa008a039L, -10L, 0xa008a039L }, { 8L, 0L, 0x71775154L }, { 0L, 0xa008a039L, -8L }, { 0L, 4L, 4L }, { -1L, 0L, -8L }, { 0x695d4b9fL, 0L, 0x71775154L }, { 0xcfd4230dL, 0x8a5bd52L, 0xa008a039L }, { -1L, 0x64d5e002L, -1L }, { 0xa008a039L, 0x8a5bd52L, 0xcfd4230dL }, { 0x71775154L, 0L, 0x695d4b9fL } } };
        int32_t l_2281 = 7L;
        uint64_t l_2297 = 0uL;
        int i, j, k;
        for (i = 0; i < 3; i++)
        {
            ((g_388.f1 ^= p_15.f2) != (p_16, l_2248 &= p_16.f1 = (l_2247, g_1935)) && 0x4fL, l_2247);
        }
        g_35 = func_59((l_2078 = l_58 = --g_391 | p_17 < (((l_2281 = (((g_1109 = (l_2280 = g_506 > ((p_16.f0, ((((l_2279[1][9][1] = safe_lshift_func_uint16_t_u_s(l_65.f0 = safe_add_func_uint64_t_u_u(safe_mod_func_uint64_t_u_u(safe_add_func_uint64_t_u_u(l_2278 = (g_159 = 0x74L < (p_13 | (g_421[3][7][1], (l_2076 |= ((p_14 = (g_506 <= (l_2248 = l_2249 > ((p_15.f1, g_559[6]) | 1L), g_1145[0].f2), g_594)) || 3uL, 13), l_2277[2]))), l_2277[1]) >= g_1032[8],
                                                                                                                                                                                                                                                             -1L),
                                                                                                                                                                                                                                  l_2242[0]),
                                                                                                                                                                                                       p_16.f3),
                                                                                                                                                                  14), -1L), g_1109) && g_390) >= p_15.f0, 0x21L) == g_312) <= 0x9aL)) > 0uL) ^ 255uL) != 0x697984f0L, l_2278) && 0x84673b59abd64ebbLL) & g_2138) <= 0x8b1272e60fadcbf8LL >= g_1304), l_2249),
                       g_1756[0][0][6],
                       l_2277[1],
                       g_1304,
                       l_2282[2]);
        l_2298 ^= safe_add_func_uint64_t_u_u(18446744073709551612uL,
                                             ((l_2166 = l_2277[2]) ^ safe_sub_func_uint64_t_u_u(p_16.f0 >= (p_15.f2 = (g_1238 > ((l_2277[2] < (safe_sub_func_uint32_t_u_u(safe_rshift_func_uint16_t_u_s(~l_2282[2].f3,
                                                                                                                                                                                                        10),
                                                                                                                                                                          0uL) ^ ((g_1032[4], (((l_2279[1][9][1] > 0uL ^ l_2279[2][1][0]) & g_559[4], 0) && l_2297) <= l_2167) && l_2282[2].f0 || 4294967295uL), 0x1eL), l_2242[0]) >= 3uL && l_65.f0) <= p_15.f0, l_2278) > l_2277[1] <= 4uL ^ p_15.f1 || l_2279[0][6][1]),
                                                                                                l_2080[1][1][7]), g_388.f0));
    }
    (l_58, 3);
    g_159 += 1;
    (p_15.f1, g_559[6]);
    safe_lshift_func_uint16_t_u_s(65535uL, 9);
    safe_unary_minus_func_uint32_t_u(1uL);
    g_1103 |= (func_59(p_15.f3 ^= 0x43772679L,
                       p_16.f3,
                       p_15.f2,
                       g_35.f2,
                       l_65), p_15.f2);
    (0x5b5f2838L, 5uL);
    return g_2299;
}
static uint8_t func_22(uint32_t p_23)
{
    return p_23;
}
static uint8_t func_41(int32_t p_42,
                       uint8_t p_43,
                       int32_t p_44,
                       int64_t p_45,
                       uint32_t p_46)
{
    uint16_t l_1480 = 0xa686L;
    int32_t l_1505 = 0L;
    int32_t l_1506 = -9L;
    int16_t l_1507 = 0L;
    int32_t l_1508 = 0L;
    struct S0 l_1570[3][4][5] = { { { { 0, -4L, -116, 7 }, { 0, 0x5f448c1f958dc280LL, -423, 15 }, { 0, 8L, -490, 8 }, { 0, 8L, -490, 8 }, { 0, 0x5f448c1f958dc280LL, -423, 15 } }, { { 0, 0xa638dfe240efa1cbLL, -152, 11 }, { 0, 0x919b657a6f0d3d43LL, -795, 11 }, { -0, 0x603356d2fc8a99dcLL, -575, 2 }, { 0, -1L, 825, 10 }, { 0, -1L, 825, 10 } }, { { 0, 0xa0191cbe08ca11f3LL, -235, 10 }, { -0, 0L, 386, 13 }, { 0, 0xa0191cbe08ca11f3LL, -235, 10 }, { 0, 8L, -490, 8 }, { 0, 1L, 900, 6 } }, { { 0, 0L, 88, 3 }, { -0, 0xd3427c9c5ea38133LL, 50, 9 }, { 0, -1L, 825, 10 }, { -0, 0xd3427c9c5ea38133LL, 50, 9 }, { 0, 0L, 88, 3 } } }, { { { 0, 0xa0191cbe08ca11f3LL, -235, 10 }, { 0, -4L, -116, 7 }, { -0, 0L, 386, 13 }, { 0, 0x5f448c1f958dc280LL, -423, 15 }, { -0, 0L, 386, 13 } }, { { 0, 0xa638dfe240efa1cbLL, -152, 11 }, { 0, 0xa638dfe240efa1cbLL, -152, 11 }, { 0, -1L, 825, 10 }, { 0, 0L, 88, 3 }, { 0, 0xeaa05d5f758d6168LL, 987, 14 } }, { { 0, -4L, -116, 7 }, { 0, 0xa0191cbe08ca11f3LL, -235, 10 }, { 0, 0xa0191cbe08ca11f3LL, -235, 10 }, { 0, -4L, -116, 7 }, { -0, 0L, 386, 13 } }, { { -0, 0xd3427c9c5ea38133LL, 50, 9 }, { 0, 0L, 88, 3 }, { -0, 0x603356d2fc8a99dcLL, -575, 2 }, { -0, 0x603356d2fc8a99dcLL, -575, 2 }, { 0, 0L, 88, 3 } } }, { { { -0, 0L, 386, 13 }, { 0, 0xa0191cbe08ca11f3LL, -235, 10 }, { 0, 8L, -490, 8 }, { 0, 1L, 900, 6 }, { 0, 1L, 900, 6 } }, { { 0, 0x919b657a6f0d3d43LL, -795, 11 }, { 0, 0xa638dfe240efa1cbLL, -152, 11 }, { 0, 0x919b657a6f0d3d43LL, -795, 11 }, { -0, 0x603356d2fc8a99dcLL, -575, 2 }, { 0, -1L, 825, 10 } }, { { 0, 0x5f448c1f958dc280LL, -423, 15 }, { 0, -4L, -116, 7 }, { 0, 1L, 900, 6 }, { 0, -4L, -116, 7 }, { 0, 0x5f448c1f958dc280LL, -423, 15 } }, { { 0, 0x919b657a6f0d3d43LL, -795, 11 }, { -0, 0xd3427c9c5ea38133LL, 50, 9 }, { 0, 0xa638dfe240efa1cbLL, -152, 11 }, { 0, 0L, 88, 3 }, { 0, 0xa638dfe240efa1cbLL, -152, 11 } } } };
    int32_t l_1694 = 0x478a7d77L;
    int32_t l_1695 = -3L;
    int64_t l_1700 = -2L;
    int32_t l_1701 = 1L;
    int32_t l_1702 = 0x753bef4dL;
    int32_t l_1878 = 1L;
    uint8_t l_1943[8] = { 0xfcL, 0xfcL, 0xfcL, 0xfcL, 0xfcL, 0xfcL, 0xfcL, 0xfcL };
    int i, j, k;
lbl_1950:
    if (l_1480 != (g_420[1][7], ((((g_312 ^= (~((((l_1508 |= l_1507 = (g_754[1][9] ^= l_1480) <= (g_250 = 0x5a0aL <= ((l_1506 |= (p_44, (p_45 &= (((0xe2L && (+9uL, (p_46 = (g_158 |= (((((l_1505 = p_44 < g_506 >= 4294967289uL | l_1480, 0), l_1480), 0x2e28L), l_1505) < g_594 == 0xe8L) >= 1L <= 1L, g_594)) == 0x47e48e4fL) >= p_42, 1) && g_85) & -1L, 0x9bL), g_2) < l_1480)) > l_1480 == p_44 ^ 1uL, p_46) == p_44, 15) | 0xe2L) && 0L, g_754[1][4]) == g_388.f1) < l_1480 & p_42) > 255uL, p_43) ^ g_86, l_1480), p_44) > 0L, g_390), 0x96L)))
    {
        int32_t l_1509 = 0xcf0d3fa9L;
        struct S0 l_1528 = { 0, 0L, -253, 2 };
        l_1508 = (g_312, (0L < l_1509, p_44));
        l_1506 ^= ((l_1528.f0 = p_44 || (g_754[5][3], ((g_594 = 0L || (((((0x7dL, 6) | (p_42 | safe_mod_func_uint64_t_u_u(p_42,
                                                                                                                          (((g_1145[0] = l_1528, 0x95076570L) != (((((8uL ^ g_388.f3, 0xf4L), 0x13L), p_44), 12) != p_44) || 0x48774aaaL) > g_86 | l_1480, g_421[4][0][4]) || 0x61cbL)) >= 1L) >= p_43 || -3L, 0x77L), l_1507) || g_1109) && p_43, 10), p_46))) | p_42, l_1528.f1) == 2uL;
    }
    else
    {
        uint32_t l_1540 = 0xd67bc027L;
        uint32_t l_1560 = 4294967294uL;
        int32_t l_1561[4] = { 1L, 1L, 1L, 1L };
        int32_t l_1595 = 0x125009e3L;
        int32_t l_1652[8][3] = { { 0x51a4c3ecL, 0x51a4c3ecL, 0xbe2572f9L }, { 0xbdef01dcL, 0x4a792898L, 0xbe2572f9L }, { 0x4a792898L, 0xbdef01dcL, 0xbe2572f9L }, { 0x51a4c3ecL, 0x51a4c3ecL, 0xbe2572f9L }, { 0xbdef01dcL, 0x4a792898L, 0xbe2572f9L }, { 0x4a792898L, 0xbdef01dcL, 0xbe2572f9L }, { 0x51a4c3ecL, 0x51a4c3ecL, 0xbe2572f9L }, { 0xbdef01dcL, 0x4a792898L, 0xbe2572f9L } };
        int i, j;
        for (g_355 = 0; g_355 == 20; g_355 = (g_355, 2))
        {
            struct S0 l_1553 = { 0, -6L, 721, 14 };
            if ((g_1021[3], l_1540 ^= g_35.f2) && (g_750[0][4][0] = safe_sub_func_uint64_t_u_u((((g_131 = (g_1109 = 0x55L) > ((4294967292uL != 0xe28497baL) >= ((((((l_1553, ((l_1505 |= p_46, ((2L, 2), 0x61L)) != g_1031 & l_1553.f1, l_1553.f0) != p_42) && l_1506, 250uL) && p_45, p_44), g_1304) ^ l_1506) == -1L, p_46)), p_43) >= 0L, l_1560), 0),
                                                                                               g_1241), l_1553.f2))
            {
                int32_t l_1563 = -8L;
                int32_t l_1565 = -3L;
                struct S0 l_1569 = { -0, 0L, 810, 1 };
                l_1561[1] = 0x2f15491aL;
                for (p_44 = 3; p_44 >= 0; p_44 -= 1)
                {
                    uint32_t l_1566 = 2uL;
                    int32_t l_1622 = 0x52d880b5L;
                    for (g_159 = 0; g_159 <= 3; g_159 += 1)
                    {
                        int32_t l_1562 = 0xc5f11417L;
                        int32_t l_1564[4][2] = { { 3L, 3L }, { 3L, 3L }, { 3L, 3L }, { 3L, 3L } };
                        int i, j;
                        if (g_420[g_159][p_44 + 4])
                            break;
                        l_1566--;
                        return g_2;
                    }
                    for (g_1241 = 0; g_1241 <= 0; g_1241 += 1)
                    {
                        int32_t l_1581 = 0xea029340L;
                        int i;
                        l_1570[0][1][2] = l_1569;
                        p_42 = g_1032[g_1241 + 8];
                        g_421[4][4][1] |= ((((g_1032[p_44 + 5], 1uL) || (g_388.f1, (p_42 & g_2, 7)), (l_1553.f2 = ((l_1581 = 0xc8d8L) != (g_2 ^ p_43, l_1569.f3), 0L) < 7L > 2uL, p_44) > g_390) > g_1021[3] & l_1566, 0), g_158) | p_42;
                        g_755[7] |= (p_44, (l_1561[1], (safe_mod_func_uint32_t_u_u(((l_1570[0][1][2].f3, (+(g_1304 < ((l_1595 = -9L & p_44, g_388.f0) < (safe_rshift_func_uint16_t_u_u(g_754[1][9],
                                                                                                                                                                                       ((g_35.f3 ^ g_1145[0].f0) > l_1553.f0 | 0xd81381d4L) == 3L) && g_750[0][3][0]))) & p_45) != g_355 | g_203), g_158),
                                                                                   g_1109) | 5uL, 0)));
                    }
                    for (p_43 = -30; p_43 >= 2; p_43 = (p_43, 6))
                    {
                        uint32_t l_1623 = 0x19f8f8abL;
                        int8_t l_1651 = 0xc4L;
                        g_421[2][3][3] = (safe_lshift_func_uint16_t_u_s(g_153,
                                                                        (0xaeL, g_203)) > (l_1570[0][1][2].f2 ^ ((l_1561[1] = (((g_755[7] > (l_1622 = ((g_153 & (((p_44 < ((p_45 ^= l_1553.f2) & !(g_203, l_1566)) || g_420[3][6]) | p_42, g_35.f3) || 0x4L) && 0uL, 0x58f7L), l_1566) == g_750[0][4][0]), p_46) ^ p_43, l_1623) | 0x0L, g_312)) | l_1595), 3) || l_1569.f3) | 1L;
                        p_42 ^= (g_754[1][0], ((p_43 < safe_add_func_uint32_t_u_u(l_1622 = 1uL,
                                                                                  l_1553.f3 != (l_1565 ^= 0x27751b71cbb9ca87LL && 8L || (((((safe_mod_func_uint32_t_u_u((g_388.f3 = 0x4258deeef776dbdbLL < (p_45 > (g_1145[0].f3 = 1uL))) <= g_203 < g_251,
                                                                                                                                                                        g_356), p_43) <= 0L, p_43) == 1uL, 0x66L) == l_1623 ^ l_1570[0][1][2].f0) != 3L, l_1553.f2))), g_754[2][4]), 0xc7L)) && p_43;
                        g_755[1] = ((!(p_46 >= (l_1570[0][1][2].f1, p_46 > ((4L || +l_1570[0][1][2].f1) >= ((l_1622 = g_391 = (safe_sub_func_uint64_t_u_u((l_1565 | ((g_1145[0], ((safe_sub_func_uint32_t_u_u(0xa8d8cfa5L,
                                                                                                                                                                                                              l_1623) == g_1145[0].f2, 0xe338L), 0x455d144caf2d42e0LL)) > 0x1dc56eae6a15fc71LL, 0uL) & g_1021[0], 1uL) ^ p_45,
                                                                                                                                                          p_42), l_1622) > 0L >= l_1651) < 0x6eL, g_1021[3])) || l_1652[7][1]) != p_43) != l_1506, p_44), p_46);
                    }
                }
            }
            else
            {
                if (p_43)
                    break;
                return g_390;
            }
        }
    }
lbl_1944:
    g_755[7] = p_45;
    ((0xf7L | l_1570[0][1][2].f0) > (safe_unary_minus_func_uint32_t_u(1uL) | ((0L, (g_1238, 0x8542L)), 0x90f3fad7b2a48aa1LL)) > p_42, 0xa083447aL);
    (0L > g_391, -9L);
    {
        return g_754[4][9];
    }
    g_250 -= 1;
    safe_rshift_func_uint16_t_u_s(65527uL, g_203);
    (2L, 2);
    (0x5b5f2838L, 5uL);
    (!p_42, g_755[7]);
    return p_42;
}
static uint16_t func_51(int16_t p_52,
                        uint16_t p_53,
                        uint64_t p_54,
                        int32_t p_55)
{
    uint8_t l_1104[4][4][5] = { { { 0x67L, 0xa6L, 0x5dL, 0x66L, 0uL }, { 0xa6L, 0xaeL, 0x21L, 251uL, 4uL }, { 0x67L, 255uL, 9uL, 0xaeL, 254uL }, { 0xc1L, 1uL, 1uL, 0x5dL, 255uL } }, { { 1uL, 253uL, 0xa6L, 0uL, 0x4fL }, { 253uL, 253uL, 255uL, 0x33L, 0x33L }, { 255uL, 1uL, 255uL, 0x7dL, 255uL }, { 255uL, 255uL, 253uL, 0x21L, 1uL } }, { { 251uL, 0xaeL, 0x12L, 255uL, 0xc1L }, { 255uL, 0xa6L, 253uL, 1uL, 0xc1L }, { 0x41L, 7uL, 255uL, 0x4L, 253uL }, { 9uL, 253uL, 255uL, 254uL, 0x6cL } }, { { 7uL, 255uL, 0xa6L, 254uL, 0x67L }, { 0x21L, 0x4L, 1uL, 0x4L, 0x21L }, { 0x12L, 0x21L, 9uL, 1uL, 255uL }, { 0x5dL, 253uL, 0x21L, 255uL, 0xaeL } } };
    struct S0 l_1144 = { 0, 0x2c0ee27351d2f17aLL, -548, 3 };
    int32_t l_1162 = 0xd39437aL;
    int32_t l_1354 = 1L;
    int32_t l_1356[4] = { -5L, -5L, -5L, -5L };
    uint16_t l_1363 = 0xe5ebL;
    uint16_t l_1426[2];
    struct S0 l_1427 = { 0, -1L, 929, 12 };
    int i, j, k;
    (g_35.f1, 9);
    g_1304 += 1;
    for (g_153 = -20; g_153 < 6; g_153 = (g_153, 1))
    {
        uint32_t l_1440 = 0x3482da34L;
        int32_t l_1452 = 0xb168be91L;
        (65535uL, 0xabL && 0xf2L);
        (g_35.f0, 2);
        (g_1756[0][0][6] || 0x96ae7fbL, 13);
        (g_1756[0][0][6] || 0x96ae7fbL, 13);
        p_53 += 1;
        func_22(g_35.f3);
        (l_1144.f2 = (g_594 = 0x925bL, 6), 0);
        {
            g_35.f0 |= 0xaf702fe3L;
            (~g_388.f1, 0xdaL);
        }
        (0L > g_391, -9L);
    }
    ;
    p_55 -= 1;
    g_356 |= safe_rshift_func_uint16_t_u_s(g_250, 12);
    1L;
    (l_1144.f2 = (g_594 = 0x925bL, 6), 0);
    {
        uint32_t l_1440 = 0x3482da34L;
        int32_t l_1452 = 0xb168be91L;
        for (g_131 = -16; g_131 < 1; g_131++)
        {
            for (g_1241 = 24; g_1241 < 34; g_1241 = (g_1241, 4))
            {
                for (g_85 = 0; g_85 != 0; g_85 = (g_85, 1))
                {
                    uint32_t l_1437 = 0xa9a030fbL;
                    return l_1437;
                }
            }
        }
        g_388.f2 = 0x9280de75f5a10ccaLL < g_158 ^ (9L & ((l_1440++, (g_594 = (g_316, p_55), 15)) && +(18446744073709551611uL < (l_1356[0] = ((safe_lshift_func_uint16_t_u_s(((g_131 = p_53, p_54 ^= p_53), 7),
                                                                                                                                                                            3) && (0x1e1e57caL & g_1021[1], 0x9fa2L) <= l_1440) != g_750[0][4][0]) > 0x3a70L >= g_316), 0x7393L) == 0x9f7ec0a2L) || g_35.f0);
        p_55 = ((l_1427.f2 = p_53) & (l_1452 &= (g_35.f1, 0x2c6bL)), (safe_rshift_func_uint16_t_u_s((~((l_1452 = 0xe489e68586bff0ddLL) ^ l_1440), p_53),
                                                                                                    (0xaa7170bfL && 0x73a17c9bL, (0xafL != 0x3bL, l_1440))) != p_52, 4) & p_52);
    }
    g_1109 ^= 0xface4f9578fc59a3LL <= 0x61490d3a8ca6555aLL;
    (0xbeL, 253uL);
    for (g_153 = -20; g_153 < 6; g_153 = (g_153, 1))
    {
        uint32_t l_1440 = 0x3482da34L;
        int32_t l_1452 = 0xb168be91L;
        for (g_131 = -16; g_131 < 1; g_131++)
        {
            for (g_1241 = 24; g_1241 < 34; g_1241 = (g_1241, 4))
            {
                for (g_85 = 0; g_85 != 0; g_85 = (g_85, 1))
                {
                    uint32_t l_1437 = 0xa9a030fbL;
                    return l_1437;
                }
            }
        }
        g_388.f2 = 0x9280de75f5a10ccaLL < g_158 ^ (9L & ((l_1440++, (g_594 = (g_316, p_55), 15)) && +(18446744073709551611uL < (l_1356[0] = ((safe_lshift_func_uint16_t_u_s(((g_131 = p_53, p_54 ^= p_53), 7),
                                                                                                                                                                            3) && (0x1e1e57caL & g_1021[1], 0x9fa2L) <= l_1440) != g_750[0][4][0]) > 0x3a70L >= g_316), 0x7393L) == 0x9f7ec0a2L) || g_35.f0);
        p_55 = ((l_1427.f2 = p_53) & (l_1452 &= (g_35.f1, 0x2c6bL)), (safe_rshift_func_uint16_t_u_s((~((l_1452 = 0xe489e68586bff0ddLL) ^ l_1440), p_53),
                                                                                                    (0xaa7170bfL && 0x73a17c9bL, (0xafL != 0x3bL, l_1440))) != p_52, 4) & p_52);
    }
    ;
    ("index = [%d][%d][%d]\n", i, j, k);
    (g_2, 2);
    (g_594 = (g_316, p_55), 15);
    (~g_388.f1, 0xdaL);
    {
        for (g_1241 = 24; g_1241 < 34; g_1241 = (g_1241, 4))
        {
            for (g_85 = 0; g_85 != 0; g_85 = (g_85, 1))
            {
                uint32_t l_1437 = 0xa9a030fbL;
                return l_1437;
            }
        }
    }
    (g_420[2][1], 255uL);
    ("index = [%d][%d][%d]\n", i, j, k);
    {
        g_35.f0 |= 0xaf702fe3L;
    }
    safe_rshift_func_uint16_t_u_s(65527uL, g_203);
    g_40 += 1;
    for (g_153 = -20; g_153 < 6; g_153 = (g_153, 1))
    {
        uint32_t l_1440 = 0x3482da34L;
        int32_t l_1452 = 0xb168be91L;
        for (g_131 = -16; g_131 < 1; g_131++)
        {
            ("index = [%d][%d][%d]\n", i, j, k);
        }
        (g_35.f1, 3);
        p_55 = ((l_1427.f2 = p_53) & (l_1452 &= (g_35.f1, 0x2c6bL)), (safe_rshift_func_uint16_t_u_s((~((l_1452 = 0xe489e68586bff0ddLL) ^ l_1440), p_53),
                                                                                                    (0xaa7170bfL && 0x73a17c9bL, (0xafL != 0x3bL, l_1440))) != p_52, 4) & p_52);
        (8L, 0x9ed3L);
    }
    ;
    g_40 += 1;
    g_1241 += 1;
    (((l_1162, safe_add_func_uint32_t_u_u(safe_add_func_uint64_t_u_u(safe_lshift_func_uint16_t_u_u(0x6d2bL,
                                                                                                   12),
                                                                     g_1032[4]) > l_1162,
                                          -1L)) | g_755[6] && p_53) < l_1144.f3, p_55);
    (252uL ^ g_251, 0x54eab2ce98b21cf8LL);
    ((((l_1162, safe_add_func_uint32_t_u_u(safe_add_func_uint64_t_u_u(safe_lshift_func_uint16_t_u_u(0x6d2bL,
                                                                                                    12),
                                                                      g_1032[4]) > l_1162,
                                           -1L)) | g_755[6] && p_53) < l_1144.f3, p_55) > 0xd8L <= 0x8a3aa13cL, p_54);
    (2L, 2);
    (g_86, 8);
    g_85 -= 1;
    for (g_391 = -7; g_391 != 54; g_391++)
    {
        struct S0 l_1479 = { 0, -1L, 935, 13 };
        l_1427 = l_1479 = l_1427;
    }
    ;
    (g_203, 0);
    p_54 ^= p_53;
    g_85 ^= 0x5d1f78ddL;
    g_86 += 1;
    (~0x2L, 65535uL);
    for (g_391 = -7; g_391 != 54; g_391++)
    {
        struct S0 l_1479 = { 0, -1L, 935, 13 };
        l_1427 = l_1479 = l_1427;
    }
    ;
    {
        g_1145[0] = l_1144;
    }
    (g_131 = p_53, p_54 ^= p_53);
    g_1238 += 1;
    {
        int32_t l_1164 = -2L;
        uint32_t l_1176 = 18446744073709551615uL;
        struct S0 l_1240 = { -0, 0L, 291, 15 };
        int32_t l_1360 = 0x5d9d81b5L;
        int32_t l_1362 = 0xba92a2e7L;
        uint16_t l_1423[2];
        int32_t l_1428 = 0xf2e968eeL;
        int i;
        (g_754[2][3], 0);
        for (g_391 = -7; g_391 != 54; g_391++)
        {
            struct S0 l_1479 = { 0, -1L, 935, 13 };
            l_1427 = l_1479 = l_1427;
        }
        ;
        g_755[p_55] = 0x572ddf76L;
        p_55 -= 1;
        g_1103 += 1;
        safe_lshift_func_uint16_t_u_s(65535uL, 9);
        g_86 |= 0xffL;
        l_1428 ^= safe_sub_func_uint32_t_u_u((func_59(l_1164 = 4294967289uL,
                                                      g_86,
                                                      p_55,
                                                      (~((((g_1021[3], ((g_312 || (((((l_1144.f2 = (++g_506, (0x88dae7c37c3c3bb9LL != ((l_1240.f2, l_1423[0] = l_1144.f3) >= (((8L, 0x9ed3L), 0x7b50b71f29030d9bLL) > g_420[2][1] && g_85), -7L), g_1145[0].f0))) <= l_1360 && 0x89L, g_131), p_52), l_1144.f0) < g_355, l_1104[3][3][4]) > l_1363, p_53) <= g_390, p_54) & l_1426[0] || g_2) & g_594, g_391) <= g_85, l_1240.f0) < l_1362) && g_390, g_421[3][7][1]),
                                                      l_1427), 4294967295uL),
                                             p_54);
        (!((l_1144, g_153 = (safe_lshift_func_uint16_t_u_s(+(p_55, g_154),
                                                           4), l_1240.f1)) & 1L) | p_55, 18446744073709551610uL);
    }
    {
        (~g_388.f1, 0xdaL);
        safe_rshift_func_uint16_t_u_u(g_755[5] < (0x70e0L != safe_sub_func_uint32_t_u_u((g_755[7], g_1109),
                                                                                        1uL) || g_1145[0].f2),
                                      2);
        (((l_1162, safe_add_func_uint32_t_u_u(safe_add_func_uint64_t_u_u(safe_lshift_func_uint16_t_u_u(0x6d2bL,
                                                                                                       12),
                                                                         g_1032[4]) > l_1162,
                                              -1L)) | g_755[6] && p_53) < l_1144.f3, p_55);
    }
    {
        int32_t l_1164 = -2L;
        uint32_t l_1176 = 18446744073709551615uL;
        struct S0 l_1240 = { -0, 0L, 291, 15 };
        int32_t l_1360 = 0x5d9d81b5L;
        int32_t l_1362 = 0xba92a2e7L;
        uint16_t l_1423[2];
        int32_t l_1428 = 0xf2e968eeL;
        int i;
        (-1L, 1);
        g_1109 ^= -1L;
        safe_unary_minus_func_uint64_t_u((!((l_1144, g_153 = (safe_lshift_func_uint16_t_u_s(+(p_55, g_154),
                                                                                            4), l_1240.f1)) & 1L) | p_55, 18446744073709551610uL));
        l_1428 ^= safe_sub_func_uint32_t_u_u((func_59(l_1164 = 4294967289uL,
                                                      g_86,
                                                      p_55,
                                                      (~((((g_1021[3], ((g_312 || (((((l_1144.f2 = (++g_506, (0x88dae7c37c3c3bb9LL != ((l_1240.f2, l_1423[0] = l_1144.f3) >= (((8L, 0x9ed3L), 0x7b50b71f29030d9bLL) > g_420[2][1] && g_85), -7L), g_1145[0].f0))) <= l_1360 && 0x89L, g_131), p_52), l_1144.f0) < g_355, l_1104[3][3][4]) > l_1363, p_53) <= g_390, p_54) & l_1426[0] || g_2) & g_594, g_391) <= g_85, l_1240.f0) < l_1362) && g_390, g_421[3][7][1]),
                                                      l_1427), 4294967295uL),
                                             p_54);
        {
            for (g_391 = -7; g_391 != 54; g_391++)
            {
                struct S0 l_1479 = { 0, -1L, 935, 13 };
                l_1427 = l_1479 = l_1427;
            }
            ;
            crc32_gentab();
            safe_lshift_func_uint16_t_u_u(0x6d2bL, 12);
            crc32_gentab();
            (g_388.f3, 7uL);
        }
        g_40 += 1;
        (0x7dL, 6);
        (g_35.f3, 0x16abL);
        func_59(l_1164 = 4294967289uL,
                g_86,
                p_55,
                (~((((g_1021[3], ((g_312 || (((((l_1144.f2 = (++g_506, (0x88dae7c37c3c3bb9LL != ((l_1240.f2, l_1423[0] = l_1144.f3) >= (((8L, 0x9ed3L), 0x7b50b71f29030d9bLL) > g_420[2][1] && g_85), -7L), g_1145[0].f0))) <= l_1360 && 0x89L, g_131), p_52), l_1144.f0) < g_355, l_1104[3][3][4]) > l_1363, p_53) <= g_390, p_54) & l_1426[0] || g_2) & g_594, g_391) <= g_85, l_1240.f0) < l_1362) && g_390, g_421[3][7][1]),
                l_1427);
        safe_lshift_func_uint16_t_u_u(0x6d2bL, 12);
        (0xf0L <= (g_391 = g_559[6]), g_755[3]);
        (g_86, 8);
        {
            for (g_85 = 0; g_85 != 0; g_85 = (g_85, 1))
            {
                uint32_t l_1437 = 0xa9a030fbL;
                return l_1437;
            }
        }
        ((p_52, (l_1176, 15)), 0);
        (g_159, 8);
        {
            int32_t l_1164 = -2L;
            uint32_t l_1176 = 18446744073709551615uL;
            struct S0 l_1240 = { -0, 0L, 291, 15 };
            int32_t l_1360 = 0x5d9d81b5L;
            int32_t l_1362 = 0xba92a2e7L;
            uint16_t l_1423[2];
            int32_t l_1428 = 0xf2e968eeL;
            int i;
            g_755[p_55] = 0x572ddf76L;
            (1L, p_52);
            for (g_391 = -7; g_391 != 54; g_391++)
            {
                struct S0 l_1479 = { 0, -1L, 935, 13 };
                l_1427 = l_1479 = l_1427;
            }
            ;
            l_1428 ^= safe_sub_func_uint32_t_u_u((func_59(l_1164 = 4294967289uL,
                                                          g_86,
                                                          p_55,
                                                          (~((((g_1021[3], ((g_312 || (((((l_1144.f2 = (++g_506, (0x88dae7c37c3c3bb9LL != ((l_1240.f2, l_1423[0] = l_1144.f3) >= (((8L, 0x9ed3L), 0x7b50b71f29030d9bLL) > g_420[2][1] && g_85), -7L), g_1145[0].f0))) <= l_1360 && 0x89L, g_131), p_52), l_1144.f0) < g_355, l_1104[3][3][4]) > l_1363, p_53) <= g_390, p_54) & l_1426[0] || g_2) & g_594, g_391) <= g_85, l_1240.f0) < l_1362) && g_390, g_421[3][7][1]),
                                                          l_1427), 4294967295uL),
                                                 p_54);
        }
        {
            g_35.f0 |= 0xaf702fe3L;
        }
        {
            uint32_t l_1437 = 0xa9a030fbL;
            return l_1437;
        }
    }
    return g_755[7];
}
static struct S0 func_59(uint32_t p_60,
                         int16_t p_61,
                         uint64_t p_62,
                         uint8_t p_63,
                         struct S0 p_64)
{
    int16_t l_75 = -1L;
    int32_t l_80 = 0xda297315L;
    int32_t l_81 = 0xeae3254cL;
    int32_t l_82 = 0x588cb35bL;
    int64_t l_83 = -5L;
    int32_t l_84[10][9] = { { 0xa6b6b07cL, 0xa9e7339aL, -1L, 0xa9e7339aL, 0xa6b6b07cL, 0xa9e7339aL, -1L, 0xa9e7339aL, 0xa6b6b07cL }, { 0xf4112691L, 0xaa3ce9d1L, 0xd0b4e555L, 0x43a44adeL, 0x43a44adeL, 0xd0b4e555L, 0xaa3ce9d1L, 0xf4112691L, 0xf4112691L }, { 0xc018302aL, 0xa9e7339aL, 0xc018302aL, 0x1d2d5faL, 0xc018302aL, 0xa9e7339aL, 0xc018302aL, 0x1d2d5faL, 0xc018302aL }, { 0xf4112691L, 0x43a44adeL, 0xaa3ce9d1L, 0xaa3ce9d1L, 0x43a44adeL, 0xf4112691L, 0xd0b4e555L, 0xd0b4e555L, 0xf4112691L }, { 0xa6b6b07cL, 0x1d2d5faL, -1L, 0x1d2d5faL, 0xa6b6b07cL, 0x1d2d5faL, -1L, 0x1d2d5faL, 0xa6b6b07cL }, { 0x43a44adeL, 0xaa3ce9d1L, 0xaa3ce9d1L, 0x43a44adeL, 0xf4112691L, 0xd0b4e555L, 0xd0b4e555L, 0xf4112691L, 0x43a44adeL }, { 0xc018302aL, 0x1d2d5faL, 0xc018302aL, 0xa9e7339aL, 0xc018302aL, 0x1d2d5faL, 0xc018302aL, 0xa9e7339aL, 0xc018302aL }, { 0x43a44adeL, 0x43a44adeL, 0xd0b4e555L, 0xaa3ce9d1L, 0xf4112691L, 0xf4112691L, 0xaa3ce9d1L, 0xd0b4e555L, 0x43a44adeL }, { 0xa6b6b07cL, 0xa9e7339aL, -1L, 0xa9e7339aL, 0xa6b6b07cL, 0xa9e7339aL, -1L, 0xa9e7339aL, 0xa6b6b07cL }, { 0xf4112691L, 0xaa3ce9d1L, 0xd0b4e555L, 0x43a44adeL, 0x43a44adeL, 0xd0b4e555L, 0xaa3ce9d1L, 0xf4112691L, 0xf4112691L } };
    struct S0 l_163 = { 0, 0x74f8ce80c63ed81aLL, -372, 13 };
    int64_t l_603[2];
    uint64_t l_606 = 0uL;
    uint64_t l_712 = 0xdb55fde756c50d62LL;
    uint32_t l_716 = 1uL;
    int32_t l_902 = 0xded8928L;
    int64_t l_959[4];
    int32_t l_961 = 0L;
    int i, j;
    g_1109 ^= 0xface4f9578fc59a3LL <= 0x61490d3a8ca6555aLL;
    0L < (g_35.f3, 0x16abL);
    {
    }
    (0x5cL, safe_rshift_func_uint16_t_u_u(0xd7eeL, 14));
    g_158 -= 1;
    safe_lshift_func_uint16_t_u_s((1uL, g_420[2][1] < p_64.f3),
                                  p_64.f0);
    (g_153, 1);
    (g_153, 1);
    g_35.f0 |= 0xaf702fe3L;
    (p_61 >= p_61, 7);
    (g_1756[0][0][6] || 0x96ae7fbL, 13);
    (((0xffL && p_61) | g_153, 0), 0x9350L);
lbl_903:
    for (g_250 = -5; g_250 == 28; g_250++)
    {
        int16_t l_604 = 0xb5c8L;
        int32_t l_605 = 0xb57bc166L;
        if (g_355)
            break;
        if (p_62)
            break;
        p_64.f2 = (p_64.f3, (g_158 = 0L) <= ((l_163.f2 && (g_559[7] && (g_388.f0 = g_86)) < ((((0xffL && p_61) | g_153, 0), 0x9350L), l_163.f1)) != 5L | p_62)) && l_75;
        l_606--;
    }
    (safe_add_func_uint64_t_u_u(18446744073709551608uL,
                                l_84[1][0] >= ((((((((p_64.f1, ((g_40, g_594 = (~l_163.f1, g_153) > 0x3b4629f6L), p_62)), 0x2de3a813L) && l_81, g_355) > 0x41687dfaaf6ebba7LL < -10L, g_131), l_163.f3), l_81), 1L), 0x3674L)), g_355);
    (g_355, 1);
    (g_754[2][3], 0);
    if (g_316)
        goto lbl_903;
    (247uL, 0x85L);
    (-4L, 5);
    0L < (g_35.f3, 0x16abL);
    g_251 += 1;
    safe_unary_minus_func_uint32_t_u(1uL);
    if (g_316)
        goto lbl_903;
    (((((p_64.f1, ((g_40, g_594 = (~l_163.f1, g_153) > 0x3b4629f6L), p_62)), 0x2de3a813L) && l_81, g_355) > 0x41687dfaaf6ebba7LL < -10L, g_131), l_163.f3);
    g_506 <= (g_388.f1 < g_420[1][5]);
    return p_64;
}
static int32_t func_66(uint16_t p_67, struct S0 p_68)
{
    uint32_t l_168 = 0x3f8d3dcdL;
    int8_t l_179[1][2];
    int64_t l_185 = -7L;
    int32_t l_228 = 0x185051adL;
    int32_t l_230 = 0x647fe7aaL;
    uint32_t l_268 = 0x20f4cf03L;
    int16_t l_359 = -6L;
    int32_t l_473 = 0xdcca3664L;
    int32_t l_510 = 0L;
    int32_t l_512[1][3][8];
    uint16_t l_544 = 6uL;
    int64_t l_551 = 6L;
    int32_t l_560 = 0xc92ecc8L;
    struct S0 l_567[2][6][5] = { { { { -0, 0x71786727ea7006d1LL, 552, 9 }, { 0, 0x42c4debba0133ba3LL, -707, 0 }, { 0, 0x8519c44adfc325c0LL, 30, 11 }, { 0, 0L, 262, 3 }, { -0, 0L, -471, 1 } }, { { -0, -10L, 122, 9 }, { -0, 0x71786727ea7006d1LL, 552, 9 }, { 0, 5L, 628, 13 }, { -0, 0L, -471, 1 }, { -0, 0xc86efbaf48bd29f1LL, -736, 6 } }, { { 0, 1L, 478, 4 }, { 0, 0x8519c44adfc325c0LL, 30, 11 }, { -0, 0L, -471, 1 }, { 0, 0x42c4debba0133ba3LL, -707, 0 }, { -0, 0L, -471, 1 } }, { { -0, 0L, -471, 1 }, { -0, 0L, -471, 1 }, { -0, -1L, -604, 9 }, { 0, 5L, 628, 13 }, { 0, -1L, -35, 12 } }, { { -0, 0L, -471, 1 }, { -0, 7L, 693, 13 }, { 0, -1L, -35, 12 }, { 0, 0xd0d1a3f0ee69d5cdLL, -352, 14 }, { 0, -3L, -677, 2 } }, { { 0, 1L, 478, 4 }, { 0, 0x7c6c453a6d93444dLL, 535, 5 }, { -0, 0xc86efbaf48bd29f1LL, -736, 6 }, { -0, 0L, -902, 5 }, { 0, 0L, 262, 3 } } }, { { { -0, -10L, 122, 9 }, { -0, 7L, 693, 13 }, { -0, 7L, 693, 13 }, { -0, -10L, 122, 9 }, { -0, 1L, 344, 2 } }, { { -0, 0x71786727ea7006d1LL, 552, 9 }, { -0, 0L, -471, 1 }, { -0, 7L, 693, 13 }, { 0, -1L, -35, 12 }, { 0, 0xd0d1a3f0ee69d5cdLL, -352, 14 } }, { { 0, -1L, -35, 12 }, { 0, 0x8519c44adfc325c0LL, 30, 11 }, { -0, 0xc86efbaf48bd29f1LL, -736, 6 }, { 0, 1L, 478, 4 }, { -0, 7L, 693, 13 } }, { { 0, 0x7c6c453a6d93444dLL, 535, 5 }, { -0, 0x71786727ea7006d1LL, 552, 9 }, { 0, -1L, -35, 12 }, { 0, -1L, -35, 12 }, { -0, 0x71786727ea7006d1LL, 552, 9 } }, { { 0, -3L, -677, 2 }, { 0, 0x42c4debba0133ba3LL, -707, 0 }, { -0, -1L, -604, 9 }, { -0, -10L, 122, 9 }, { -0, 0x71786727ea7006d1LL, 552, 9 } }, { { 0, 0x8519c44adfc325c0LL, 30, 11 }, { 0, 0L, 262, 3 }, { -0, 0L, -471, 1 }, { -0, 0L, -902, 5 }, { -0, 7L, 693, 13 } } } };
    int i, j, k;
    (0xbeL, 253uL);
    ("index = [%d][%d][%d]\n", i, j, k);
    (g_85, 1);
    (safe_lshift_func_uint16_t_u_u(g_158,
                                   12) == 0x70b449b74578e65aLL, 2);
    {
    }
    safe_rshift_func_uint16_t_u_u(g_755[5] < (0x70e0L != safe_sub_func_uint32_t_u_u((g_755[7], g_1109),
                                                                                    1uL) || g_1145[0].f2),
                                  2);
    (1uL, 0x5e27L);
    for (j = 0; j < 3; j++)
    {
        for (k = 0; k < 8; k++)
            l_512[i][j][k] = 0x3331d5d9L;
    }
    ;
    safe_rshift_func_uint16_t_u_u(0xd7eeL, 14);
    (safe_lshift_func_uint16_t_u_u(g_158,
                                   12) == 0x70b449b74578e65aLL, 2);
    0L < (g_35.f3, 0x16abL);
    g_506 &= 0x387e3cdf10492640LL;
    func_22(g_35.f3);
    (g_203, 0);
    (0xacL, 1);
    (safe_mod_func_uint32_t_u_u(g_388.f0,
                                0xd95d3b69L), (g_1032[4], 0x46L));
    (1uL, 0x5e27L);
    (8L, 0x9ed3L);
    (l_544, 6);
    (g_754[2][3], 0);
    (g_85, 1);
    (0xbeL, 253uL);
    l_168 += 1;
    g_86 |= 0xffL;
    (252uL ^ g_251, 0x54eab2ce98b21cf8LL);
    {
    }
    g_251 += 1;
    (g_388.f3, 7uL);
    (252uL ^ g_251, 0x54eab2ce98b21cf8LL);
    (l_168, 7);
    ("index = [%d]\n", i);
    (2L, 2);
    g_251 += 1;
    {
        (0xf0L <= (g_391 = g_559[6]), g_755[3]);
        (g_355, 1);
        for (i = 0; i < 1; i++)
        {
            for (j = 0; j < 2; j++)
                l_179[i][j] = 0x69L;
        }
        ;
        ("index = [%d][%d]\n", i, j);
        (0xbad58878L < 7uL != g_594, 4);
        safe_mod_func_uint64_t_u_u(0x720fL == 0x14d4L,
                                   0x1e7b790c5a96d6b6LL);
        ("index = [%d][%d][%d]\n", i, j, k);
        {
            g_35.f0 ^= g_35.f2 = (g_250 > (p_68.f3, l_228), (6uL != g_158, p_68.f1) < (((l_230, g_391 |= g_312++) != g_35.f2, (g_35.f1 || 0xcb7d202a44838c9cLL) <= p_68.f3), g_356));
        }
    }
    func_78(++g_86);
    (9uL, ((p_68.f2 <= 0x35c9L, l_230), g_40));
    ("index = [%d]\n", i);
    (safe_mod_func_uint32_t_u_u(g_388.f0,
                                0xd95d3b69L), (g_1032[4], 0x46L));
    g_40 += 1;
    for (k = 0; k < 8; k++)
        l_512[i][j][k] = 0x3331d5d9L;
    g_1304 += 1;
    safe_rshift_func_uint16_t_u_s(g_250, 12);
    safe_lshift_func_uint16_t_u_s(g_35.f3, 14);
    (g_2, 251uL);
    (8L, 0x9ed3L);
    return p_67;
}
static int32_t func_71(uint8_t p_72, uint32_t p_73, uint32_t p_74)
{
    int32_t l_145 = 1L;
    int32_t l_148[4];
    int32_t l_151[6] = { -1L, 0x6c71f3ecL, 0x6c71f3ecL, -1L, 0x6c71f3ecL, 0x6c71f3ecL };
    int32_t l_152 = 0xf6c6ad03L;
    int32_t l_155 = 3L;
    int8_t l_162 = 0x2dL;
    int i;
    {
        (0xf0L <= (g_391 = g_559[6]), g_755[3]);
        g_35.f0 |= 0xaf702fe3L;
    }
    (g_250, 5);
    {
        crc32_gentab();
    }
    g_251 += 1;
    g_388.f1 -= 1;
    safe_unary_minus_func_uint64_t_u(0xa46d5f4f3d787ca5LL);
    g_506 &= 0x387e3cdf10492640LL;
    (func_78(++g_86), g_85);
    g_754[1][9];
    g_506 <= (g_388.f1 < g_420[1][5]);
    g_388.f1 -= 1;
    g_355 += 1;
    safe_add_func_uint64_t_u_u(safe_lshift_func_uint16_t_u_u(0x6d2bL,
                                                             12),
                               g_1032[4]);
    {
        g_35.f2 = 65535uL ^ safe_lshift_func_uint16_t_u_s(g_35.f3, 14);
    }
    (0x1823L, 11);
    (safe_mod_func_uint32_t_u_u(g_388.f0,
                                0xd95d3b69L), (g_1032[4], 0x46L));
    (g_355, 1);
    (g_388.f3, 7uL);
    g_1985 -= 1;
    (0L > g_391, -9L);
    g_159 += 1;
    g_158 -= 1;
    g_86 += 1;
    (1uL, 0x5e27L);
    for (i = 0; i < 4; i++)
    {
        ((g_154 = (g_153 = (safe_sub_func_uint32_t_u_u(p_74,
                                                       0xc8dcdbdL) != ((g_35.f3, (l_145, (l_152 = ((g_131, l_145), l_151[5] = (l_148[1] = 0L, (p_73 & safe_sub_func_uint32_t_u_u(0xa808b72aL,
                                                                                                                                                                                 0x6805fa10L)) > 3L))) ^ p_73)), 8uL), 0xc672L)) > g_35.f2, l_145), 0x5dL);
        g_391 |= g_312++;
    }
    g_251 += 1;
    l_155 |= g_85 = ((g_154 = (g_153 = (safe_sub_func_uint32_t_u_u(p_74,
                                                                   0xc8dcdbdL) != ((g_35.f3, (l_145, (l_152 = ((g_131, l_145), l_151[5] = (l_148[1] = 0L, (p_73 & safe_sub_func_uint32_t_u_u(0xa808b72aL,
                                                                                                                                                                                             0x6805fa10L)) > 3L))) ^ p_73)), 8uL), 0xc672L)) > g_35.f2, l_145), 0x5dL);
    g_86 += 1;
    {
        g_85 ^= 0x5d1f78ddL;
        return g_131;
    }
    (g_355, 2);
    (g_594 = 0x925bL, 6);
    ((g_35.f3, (l_145, (l_152 = ((g_131, l_145), l_151[5] = (l_148[1] = 0L, (p_73 & safe_sub_func_uint32_t_u_u(0xa808b72aL,
                                                                                                               0x6805fa10L)) > 3L))) ^ p_73)), 8uL);
    (l_145, (l_152 = ((g_131, l_145), l_151[5] = (l_148[1] = 0L, (p_73 & safe_sub_func_uint32_t_u_u(0xa808b72aL,
                                                                                                    0x6805fa10L)) > 3L))) ^ p_73);
    g_754[1][9];
    (g_1756[0][0][6] || 0x96ae7fbL, 13);
    (0x5cL, safe_rshift_func_uint16_t_u_u(0xd7eeL, 14));
    (((g_35.f1, 3) & g_356, 8L) ^ 4294967295uL) <= g_159 != g_312;
    (g_154 = (g_153 = (safe_sub_func_uint32_t_u_u(p_74,
                                                  0xc8dcdbdL) != ((g_35.f3, (l_145, (l_152 = ((g_131, l_145), l_151[5] = (l_148[1] = 0L, (p_73 & safe_sub_func_uint32_t_u_u(0xa808b72aL,
                                                                                                                                                                            0x6805fa10L)) > 3L))) ^ p_73)), 8uL), 0xc672L)) > g_35.f2, l_145);
    return g_85;
}
static uint8_t func_78(uint32_t p_79)
{
    int8_t l_93 = 0xfcL;
    uint32_t l_94 = 0xe62b9925L;
    uint8_t l_95 = 1uL;
    int32_t l_96 = 0x683588d2L;
    int32_t l_105 = 0x5d52aebL;
    int64_t l_124[9] = { 0x184c74488338c196LL, 0x184c74488338c196LL, 0x184c74488338c196LL, 0x184c74488338c196LL, 0x184c74488338c196LL, 0x184c74488338c196LL, 0x184c74488338c196LL, 0x184c74488338c196LL, 0x184c74488338c196LL };
    int i;
    safe_unary_minus_func_uint64_t_u(0xa46d5f4f3d787ca5LL);
    for (g_159 = 0; g_159 <= 3; g_159 += 1)
    {
        return g_754[4][9];
    }
    ;
    safe_lshift_func_uint16_t_u_s(65535uL, 9);
    ((8uL ^ g_388.f3, 0xf4L), 0x13L);
    if ((l_105 = l_94, p_79))
    {
        return p_79;
    }
    else
    {
        l_96 = 0xa4836abeL;
    }
    ;
    safe_rshift_func_uint16_t_u_u(g_755[5] < (0x70e0L != safe_sub_func_uint32_t_u_u((g_755[7], g_1109),
                                                                                    1uL) || g_1145[0].f2),
                                  2);
    safe_rshift_func_uint16_t_u_u(0xd7eeL, 14);
    (g_35.f3, 0x16abL);
    (g_153, 0x1fL);
    g_159 += 1;
    g_86 += 1;
    (func_78(++g_86), g_85);
    g_159 += 1;
    (g_1756[0][0][6] || 0x96ae7fbL, 13);
    (g_203, 0);
    {
        {
            g_85 ^= 0x5d1f78ddL;
        }
    }
    (8L, 0x9ed3L);
    {
        (safe_mod_func_uint32_t_u_u(g_388.f0,
                                    0xd95d3b69L), (g_1032[4], 0x46L));
    }
    (0xacL, 1);
    safe_unary_minus_func_uint64_t_u(0xa46d5f4f3d787ca5LL);
    (g_250, 5);
    return g_40;
}
int main(void)
{
    int i, j, k;
    int print_hash_value = 0;
    crc32_gentab();
    func_1();
    transparent_crc(g_2, "g_2", print_hash_value);
    transparent_crc(g_35.f0, "g_35.f0", print_hash_value);
    transparent_crc(g_35.f1, "g_35.f1", print_hash_value);
    transparent_crc(g_35.f2, "g_35.f2", print_hash_value);
    transparent_crc(g_35.f3, "g_35.f3", print_hash_value);
    transparent_crc(g_40, "g_40", print_hash_value);
    transparent_crc(g_85, "g_85", print_hash_value);
    transparent_crc(g_86, "g_86", print_hash_value);
    transparent_crc(g_131, "g_131", print_hash_value);
    transparent_crc(g_153, "g_153", print_hash_value);
    transparent_crc(g_154, "g_154", print_hash_value);
    transparent_crc(g_158, "g_158", print_hash_value);
    transparent_crc(g_159, "g_159", print_hash_value);
    transparent_crc(g_203, "g_203", print_hash_value);
    transparent_crc(g_250, "g_250", print_hash_value);
    transparent_crc(g_251, "g_251", print_hash_value);
    transparent_crc(g_312, "g_312", print_hash_value);
    transparent_crc(g_316, "g_316", print_hash_value);
    transparent_crc(g_355, "g_355", print_hash_value);
    transparent_crc(g_356, "g_356", print_hash_value);
    transparent_crc(g_388.f0, "g_388.f0", print_hash_value);
    transparent_crc(g_388.f1, "g_388.f1", print_hash_value);
    transparent_crc(g_388.f2, "g_388.f2", print_hash_value);
    transparent_crc(g_388.f3, "g_388.f3", print_hash_value);
    transparent_crc(g_390, "g_390", print_hash_value);
    transparent_crc(g_391, "g_391", print_hash_value);
    for (i = 0; i < 4; i++)
    {
        for (j = 0; j < 10; j++)
        {
            transparent_crc(g_420[i][j], "g_420[i][j]", print_hash_value);
            if (print_hash_value)
                ("index = [%d][%d]\n", i, j);
        }
    }
    for (i = 0; i < 5; i++)
    {
        for (j = 0; j < 10; j++)
        {
            for (k = 0; k < 5; k++)
            {
                transparent_crc(g_421[i][j][k],
                                "g_421[i][j][k]",
                                print_hash_value);
                if (print_hash_value)
                    ("index = [%d][%d][%d]\n", i, j, k);
            }
        }
    }
    transparent_crc(g_506, "g_506", print_hash_value);
    for (i = 0; i < 8; i++)
    {
        transparent_crc(g_559[i], "g_559[i]", print_hash_value);
        if (print_hash_value)
            ("index = [%d]\n", i);
    }
    transparent_crc(g_594, "g_594", print_hash_value);
    for (i = 0; i < 1; i++)
    {
        for (j = 0; j < 6; j++)
        {
            for (k = 0; k < 1; k++)
            {
                transparent_crc(g_750[i][j][k],
                                "g_750[i][j][k]",
                                print_hash_value);
                if (print_hash_value)
                    ("index = [%d][%d][%d]\n", i, j, k);
            }
        }
    }
    for (i = 0; i < 6; i++)
    {
        for (j = 0; j < 10; j++)
        {
            transparent_crc(g_754[i][j], "g_754[i][j]", print_hash_value);
            if (print_hash_value)
                ("index = [%d][%d]\n", i, j);
        }
    }
    for (i = 0; i < 8; i++)
    {
        transparent_crc(g_755[i], "g_755[i]", print_hash_value);
        if (print_hash_value)
            ("index = [%d]\n", i);
    }
    for (i = 0; i < 5; i++)
    {
        transparent_crc(g_1021[i], "g_1021[i]", print_hash_value);
        if (print_hash_value)
            ("index = [%d]\n", i);
    }
    transparent_crc(g_1031, "g_1031", print_hash_value);
    for (i = 0; i < 9; i++)
    {
        transparent_crc(g_1032[i], "g_1032[i]", print_hash_value);
        if (print_hash_value)
            ("index = [%d]\n", i);
    }
    transparent_crc(g_1103, "g_1103", print_hash_value);
    transparent_crc(g_1109, "g_1109", print_hash_value);
    for (i = 0; i < 8; i++)
    {
        transparent_crc(g_1145[i].f0, "g_1145[i].f0", print_hash_value);
        transparent_crc(g_1145[i].f1, "g_1145[i].f1", print_hash_value);
        transparent_crc(g_1145[i].f2, "g_1145[i].f2", print_hash_value);
        transparent_crc(g_1145[i].f3, "g_1145[i].f3", print_hash_value);
        if (print_hash_value)
            ("index = [%d]\n", i);
    }
    transparent_crc(g_1238, "g_1238", print_hash_value);
    transparent_crc(g_1241, "g_1241", print_hash_value);
    transparent_crc(g_1304, "g_1304", print_hash_value);
    for (i = 0; i < 2; i++)
    {
        for (j = 0; j < 7; j++)
        {
            transparent_crc(g_1732[i][j], "g_1732[i][j]", print_hash_value);
            if (print_hash_value)
                ("index = [%d][%d]\n", i, j);
        }
    }
    for (i = 0; i < 1; i++)
    {
        for (j = 0; j < 1; j++)
        {
            for (k = 0; k < 10; k++)
            {
                transparent_crc(g_1756[i][j][k],
                                "g_1756[i][j][k]",
                                print_hash_value);
                if (print_hash_value)
                    ("index = [%d][%d][%d]\n", i, j, k);
            }
        }
    }
    transparent_crc(g_1935, "g_1935", print_hash_value);
    transparent_crc(g_1985, "g_1985", print_hash_value);
    transparent_crc(g_2138, "g_2138", print_hash_value);
    transparent_crc(g_2239, "g_2239", print_hash_value);
    transparent_crc(g_2299, "g_2299", print_hash_value);
    transparent_crc(g_2300, "g_2300", print_hash_value);
    transparent_crc(g_2342, "g_2342", print_hash_value);
    (crc32_context ^ 0xffffffffuL, print_hash_value);
    return 0;
}
